Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 4391)
+++ CKEditor/trunk/CHANGES.html	(revision 4395)
@@ -90,4 +90,7 @@
 		<li><a href="http://dev.fckeditor.net/ticket/4518">#4518</a> : Fixed unable to open dialog without editor focus in IE.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4519">#4519</a> : Fixed maximize without editor focus throw error in IE.</li>
+		<li>Updated the following language files:<ul>
+			<li><a href="http://dev.fckeditor.net/ticket/3947">#3947</a> : Arabic.</li>
+		</ul></li>
 	</ul>
 	<h3>
Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4391)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4395)
@@ -3,5 +3,5 @@
 
 af.js      Found: 312 Missing: 130
-ar.js      Found: 329 Missing: 113
+ar.js      Found: 442 Missing: 0
 bg.js      Found: 305 Missing: 137
 bn.js      Found: 307 Missing: 135
Index: CKEditor/trunk/_source/lang/ar.js
===================================================================
--- CKEditor/trunk/_source/lang/ar.js	(revision 4391)
+++ CKEditor/trunk/_source/lang/ar.js	(revision 4395)
@@ -32,12 +32,12 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle		: 'محرر النص المنسق, %1',
 
 	// Toolbar buttons without dialogs.
-	source			: 'شفرة المصدر',
+	source			: 'المصدر',
 	newPage			: 'صفحة جديدة',
 	save			: 'حفظ',
 	preview			: 'معاينة الصفحة',
-	cut				: 'قص',
+	cut			: 'قص',
 	copy			: 'نسخ',
 	paste			: 'لصق',
@@ -47,9 +47,9 @@
 	italic			: 'مائل',
 	selectAll		: 'تحديد الكل',
-	removeFormat	: 'إزالة التنسيقات',
+	removeFormat	        : 'إزالة التنسيقات',
 	strike			: 'يتوسطه خط',
 	subscript		: 'منخفض',
 	superscript		: 'مرتفع',
-	horizontalrule	: 'إدراج خط فاصل',
+	horizontalrule	        : 'خط فاصل',
 	pagebreak		: 'إدخال صفحة جديدة',
 	unlink			: 'إزالة رابط',
@@ -60,22 +60,22 @@
 	common :
 	{
-		browseServer	: 'تصفح الخادم',
-		url				: 'موقع الصورة',
+		browseServer	        : 'تصفح',
+		url			: 'الرابط',
 		protocol		: 'البروتوكول',
 		upload			: 'رفع',
-		uploadSubmit	: 'أرسلها للخادم',
+		uploadSubmit	        : 'أرسل',
 		image			: 'صورة',
 		flash			: 'فلاش',
 		form			: 'نموذج',
 		checkbox		: 'خانة إختيار',
-		radio		: 'زر خيار',
+		radio		        : 'زر اختيار',
 		textField		: 'مربع نص',
-		textarea		: 'ناحية نص',
+		textarea		: 'مساحة نصية',
 		hiddenField		: 'إدراج حقل خفي',
 		button			: 'زر ضغط',
-		select	: 'قائمة منسدلة',
+		select	                : 'اختار',
 		imageButton		: 'زر صورة',
 		notSet			: '<بدون تحديد>',
-		id				: 'الرقم',
+		id			: 'الرقم',
 		name			: 'الاسم',
 		langDir			: 'إتجاه النص',
@@ -83,18 +83,18 @@
 		langDirRtl		: 'اليمين لليسار (RTL)',
 		langCode		: 'رمز اللغة',
-		longDescr		: 'عنوان الوصف المفصّل',
+		longDescr		: 'الوصف التفصيلى',
 		cssClass		: 'فئات التنسيق',
-		advisoryTitle	: 'تلميح الشاشة',
+		advisoryTitle	        : 'عنوان التقرير',
 		cssStyle		: 'نمط',
-		ok				: 'موافق',
+		ok			: 'موافق',
 		cancel			: 'إلغاء الأمر',
 		generalTab		: 'عام',
 		advancedTab		: 'متقدم',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
-		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
-		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		validateNumberFailed	: 'لايوجد نتيجة',
+		confirmNewPage	: 'ستفقد أي متغييرات اذا لم تقم بحفظها اولا. هل أنت متأكد أنك تريد صفحة جديدة؟',
+		confirmCancel	: 'بعض الخيارات قد تغيرت. هل أنت متأكد من إغلاق مربع النص؟',
 
 		// Put the voice-only part of the label in the span.
-		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+		unavailable		: '%1<span class="cke_accessibility">, غير متاح</span>'
 	},
 
@@ -102,6 +102,6 @@
 	specialChar		:
 	{
-		toolbar		: 'إدراج  رموز..ِ',
-		title		: 'إدراج رمز'
+		toolbar		: 'إدراج  خاص.ِ',
+		title		: 'اختر الخواص'
 	},
 
@@ -109,9 +109,9 @@
 	link :
 	{
-		toolbar		: 'إدراج/تحرير رابط',
+		toolbar		: 'رابط',
 		menu		: 'تحرير رابط',
 		title		: 'إرتباط تشعبي',
 		info		: 'معلومات الرابط',
-		target		: 'الهدف',
+		target		: 'هدف الرابط',
 		upload		: 'رفع',
 		advanced	: 'متقدم',
@@ -119,5 +119,5 @@
 		toAnchor	: 'مكان في هذا المستند',
 		toEmail		: 'بريد إلكتروني',
-		target		: 'الهدف',
+		target		: 'هدف الرابط',
 		targetNotSet	: '<بدون تحديد>',
 		targetFrame	: '<إطار>',
@@ -125,11 +125,11 @@
 		targetNew	: 'إطار جديد (_blank)',
 		targetTop	: 'صفحة كاملة (_top)',
-		targetSelf	: 'نفس الإطار (_self)',
-		targetParent	: 'الإطار الأصل (_parent)',
-		targetFrameName	: 'اسم الإطار الهدف',
-		targetPopupName	: 'تسمية النافذة المنبثقة',
+		targetSelf	: 'الاطار الحالى (_self)',
+		targetParent	: 'الإطار الأصلي (_parent)',
+		targetFrameName	: 'اسم الإطار المستهدف',
+		targetPopupName	: 'اسم النافذة المنبثقة',
 		popupFeatures	: 'خصائص النافذة المنبثقة',
-		popupResizable	: 'Resizable', // MISSING
-		popupStatusBar	: 'شريط الحالة السفلي',
+		popupResizable	: 'قابلة التشكيل',
+		popupStatusBar	: 'شريط الحالة',
 		popupLocationBar	: 'شريط العنوان',
 		popupToolbar	: 'شريط الأدوات',
@@ -142,5 +142,5 @@
 		popupHeight		: 'الإرتفاع',
 		popupTop		: 'التمركز للأعلى',
-		id				: 'Id', // MISSING
+		id				: 'هوية',
 		langDir			: 'إتجاه النص',
 		langDirNotSet	: '<بدون تحديد>',
@@ -149,20 +149,20 @@
 		acccessKey		: 'مفاتيح الإختصار',
 		name			: 'الاسم',
-		langCode		: 'إتجاه النص',
+		langCode		: 'كود النص',
 		tabIndex		: 'الترتيب',
-		advisoryTitle	: 'تلميح الشاشة',
-		advisoryContentType	: 'نوع التلميح',
+		advisoryTitle	: 'عنوان التقرير',
+		advisoryContentType	: 'نوع التقرير',
 		cssClasses		: 'فئات التنسيق',
 		charset			: 'ترميز المادة المطلوبة',
 		styles			: 'نمط',
 		selectAnchor	: 'اختر علامة مرجعية',
-		anchorName		: 'حسب اسم العلامة',
-		anchorId		: 'حسب تعريف العنصر',
-		emailAddress	: 'عنوان بريد إلكتروني',
+		anchorName		: 'حسب الاسم',
+		anchorId		: 'حسب رقم العنصر',
+		emailAddress	: 'عنوان البريد إلكتروني',
 		emailSubject	: 'موضوع الرسالة',
 		emailBody		: 'محتوى الرسالة',
-		noAnchors		: '(لا يوجد علامات مرجعية في هذا المستند)',
-		noUrl			: 'فضلاً أدخل عنوان الموقع الذي يشير إليه الرابط',
-		noEmail			: 'فضلاً أدخل عنوان البريد الإلكتروني'
+		noAnchors		: '(لا توجد علامات مرجعية في هذا المستند)',
+		noUrl			: 'من فضلك أدخل عنوان الموقع الذي يشير إليه الرابط',
+		noEmail			: 'من فضلك أدخل عنوان البريد الإلكتروني'
 	},
 
@@ -170,6 +170,6 @@
 	anchor :
 	{
-		toolbar		: 'إدراج/تحرير إشارة مرجعية',
-		menu		: 'خصائص الإشارة المرجعية',
+		toolbar		: 'إشارة مرجعية',
+		menu		: 'تحرير الإشارة المرجعية',
 		title		: 'خصائص الإشارة المرجعية',
 		name		: 'اسم الإشارة المرجعية',
@@ -183,12 +183,12 @@
 		find				: 'بحث',
 		replace				: 'إستبدال',
-		findWhat			: 'البحث عن:',
+		findWhat			: 'البحث بـ:',
 		replaceWith			: 'إستبدال بـ:',
 		notFoundMsg			: 'لم يتم العثور على النص المحدد.',
 		matchCase			: 'مطابقة حالة الأحرف',
-		matchWord			: 'الكلمة بالكامل فقط',
-		matchCyclic			: 'Match cyclic', // MISSING
+		matchWord			: 'مطابقة بالكامل',
+		matchCyclic			: 'مطابقة دورية',
 		replaceAll			: 'إستبدال الكل',
-		replaceSuccessMsg	: '%1 occurrence(s) replaced.' // MISSING
+		replaceSuccessMsg	: 'تم استبدال 1% من الحالات '
 	},
 
@@ -197,12 +197,12 @@
 	{
 		toolbar		: 'جدول',
-		title		: 'إدراج جدول',
-		menu		: 'إدراج جدول',
+		title		: 'خصائص الجدول',
+		menu		: 'خصائص الجدول',
 		deleteTable	: 'حذف الجدول',
 		rows		: 'صفوف',
 		columns		: 'أعمدة',
-		border		: 'سمك الحدود',
+		border		: 'الحدود',
 		align		: 'المحاذاة',
-		alignNotSet	: '<بدون تحديد>',
+		alignNotSet	: '<بدون محاذاة>',
 		alignLeft	: 'يسار',
 		alignCenter	: 'وسط',
@@ -216,16 +216,16 @@
 		caption		: 'الوصف',
 		summary		: 'الخلاصة',
-		headers		: 'Headers', // MISSING
-		headersNone		: 'None', // MISSING
-		headersColumn	: 'First column', // MISSING
-		headersRow		: 'First Row', // MISSING
-		headersBoth		: 'Both', // MISSING
-		invalidRows		: 'Number of rows must be a number greater than 0.', // MISSING
-		invalidCols		: 'Number of columns must be a number greater than 0.', // MISSING
-		invalidBorder	: 'Border size must be a number.', // MISSING
-		invalidWidth	: 'Table width must be a number.', // MISSING
-		invalidHeight	: 'Table height must be a number.', // MISSING
-		invalidCellSpacing	: 'Cell spacing must be a number.', // MISSING
-		invalidCellPadding	: 'Cell padding must be a number.', // MISSING
+		headers		: 'العناوين',
+		headersNone		: 'بدون',
+		headersColumn	: 'العمود الأول',
+		headersRow		: 'الصف الأول',
+		headersBoth		: 'كلاهما',
+		invalidRows		: 'عدد الصفوف يجب أن يكون عدداً أكبر من صفر.',
+		invalidCols		: 'عدد الأعمدة يجب أن يكون عدداً أكبر من صفر.',
+		invalidBorder	: 'حجم الحد يجب أن يكون عدداً.',
+		invalidWidth	: 'عرض الجدول يجب أن يكون عدداً.',
+		invalidHeight	: 'ارتفاع الجدول يجب أن يكون عدداً.',
+		invalidCellSpacing	: 'المسافة بين الخلايا يجب أن تكون عدداً.',
+		invalidCellPadding	: 'المسافة البادئة يجب أن تكون عدداً',
 
 		cell :
@@ -234,5 +234,5 @@
 			insertBefore	: 'إدراج خلية قبل',
 			insertAfter		: 'إدراج خلية بعد',
-			deleteCell		: 'حذف خلايا',
+			deleteCell		: 'حذف خلية',
 			merge			: 'دمج خلايا',
 			mergeRight		: 'دمج لليمين',
@@ -241,25 +241,25 @@
 			splitVertical	: 'تقسيم الخلية عمودياً',
 			title			: 'خصائص الخلية',
-			cellType		: 'Cell Type', // MISSING
-			rowSpan			: 'Rows Span', // MISSING
-			colSpan			: 'Columns Span', // MISSING
-			wordWrap		: 'Word Wrap', // MISSING
-			hAlign			: 'Horizontal Alignment', // MISSING
-			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
-			alignBaseline	: 'Baseline', // MISSING
-			bgColor			: 'Background Color', // MISSING
-			borderColor		: 'Border Color', // MISSING
-			data			: 'Data', // MISSING
-			header			: 'Header', // MISSING
-			yes				: 'Yes', // MISSING
-			no				: 'No', // MISSING
-			invalidWidth	: 'Cell width must be a number.', // MISSING
-			invalidHeight	: 'Cell height must be a number.', // MISSING
-			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
-			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			cellType		: 'نوع الخلية',
+			rowSpan			: 'امتداد الصفوف',
+			colSpan			: 'امتداد الأعمدة',
+			wordWrap		: 'التفاف النص',
+			hAlign			: 'محاذاة أفقية',
+			vAlign			: 'محاذاة رأسية',
+			alignTop		: 'أعلى',
+			alignMiddle		: 'وسط',
+			alignBottom		: 'أسفل',
+			alignBaseline	: 'خط القاعدة',
+			bgColor			: 'لون الخلفية',
+			borderColor		: 'لون الحدود',
+			data			: 'بيانات',
+			header			: 'عنوان',
+			yes				: 'نعم',
+			no				: 'لا',
+			invalidWidth	: 'عرض الخلية يجب أن يكون عدداً.',
+			invalidHeight	: 'ارتفاع الخلية يجب أن يكون عدداً.',
+			invalidRowSpan	: 'امتداد الصفوف يجب أن يكون عدداً صحيحاً.',
+			invalidColSpan	: 'امتداد الأعمدة يجب أن يكون عدداً صحيحاً.',
+			chooseColor : 'اختر'
 		},
 
@@ -308,11 +308,11 @@
 		action		: 'اسم الملف',
 		method		: 'الأسلوب',
-		encoding	: 'Encoding', // MISSING
+		encoding	: 'تشفير',
 		target		: 'الهدف',
 		targetNotSet	: '<بدون تحديد>',
-		targetNew	: 'إطار جديد (_blank)',
-		targetTop	: 'صفحة كاملة (_top)',
-		targetSelf	: 'نفس الإطار (_self)',
-		targetParent	: 'الإطار الأصل (_parent)'
+		targetNew	: 'نافذة جديدة (_blank)',
+		targetTop	: 'نافذة بالاعلى (_top)',
+		targetSelf	: 'نفس النافذة (_self)',
+		targetParent	: 'النافذة الأصل (_parent)'
 	},
 
@@ -320,6 +320,6 @@
 	select :
 	{
-		title		: 'خصائص القائمة المنسدلة',
-		selectInfo	: 'معلومات',
+		title		: 'خصائص اختيار الحقل',
+		selectInfo	: 'اختار معلومات',
 		opAvail		: 'الخيارات المتاحة',
 		value		: 'القيمة',
@@ -331,6 +331,6 @@
 		btnAdd		: 'إضافة',
 		btnModify	: 'تعديل',
-		btnUp		: 'تحريك لأعلى',
-		btnDown		: 'تحريك لأسفل',
+		btnUp		: 'أعلى',
+		btnDown		: 'أسفل',
 		btnSetValue : 'إجعلها محددة',
 		btnDelete	: 'إزالة'
@@ -340,5 +340,5 @@
 	textarea :
 	{
-		title		: 'خصائص ناحية النص',
+		title		: 'خصائص مساحة النص',
 		cols		: 'الأعمدة',
 		rows		: 'الصفوف'
@@ -351,6 +351,6 @@
 		name		: 'الاسم',
 		value		: 'القيمة',
-		charWidth	: 'العرض بالأحرف',
-		maxChars	: 'عدد الحروف الأقصى',
+		charWidth	: 'عرض السمات',
+		maxChars	: 'اقصى عدد للسمات',
 		type		: 'نوع المحتوى',
 		typeText	: 'نص',
@@ -361,5 +361,5 @@
 	hidden :
 	{
-		title	: 'خصائص الحقل الخفي',
+		title	: 'خصائص الحقل المخفي',
 		name	: 'الاسم',
 		value	: 'القيمة'
@@ -376,5 +376,5 @@
 		url		: 'موقع الصورة',
 		upload	: 'رفع',
-		alt		: 'الوصف',
+		alt		: 'عنوان الصورة',
 		width		: 'العرض',
 		height	: 'الإرتفاع',
@@ -397,7 +397,7 @@
 		alertUrl	: 'فضلاً أكتب الموقع الذي توجد عليه هذه الصورة.',
 		linkTab	: 'الرابط',
-		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
-		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		button2Img	: 'هل تريد تحويل زر الصورة المختار إلى صورة بسيطة؟',
+		img2Button	: 'هل تريد تحويل الصورة المختارة إلى زر صورة؟',
+		urlMissing : 'عنوان مصدر الصورة مفقود'
 	},
 
@@ -405,19 +405,19 @@
 	flash :
 	{
-		properties		: 'خصائص فيلم الفلاش',
-		propertiesTab	: 'Properties', // MISSING
+		properties		: 'خصائص الفلاش',
+		propertiesTab	: 'الخصائص',
 		title		: 'خصائص فيلم الفلاش',
 		chkPlay		: 'تشغيل تلقائي',
 		chkLoop		: 'تكرار',
 		chkMenu		: 'تمكين قائمة فيلم الفلاش',
-		chkFull		: 'Allow Fullscreen', // MISSING
+		chkFull		: 'ملء الشاشة',
  		scale		: 'الحجم',
 		scaleAll		: 'إظهار الكل',
 		scaleNoBorder	: 'بلا حدود',
 		scaleFit		: 'ضبط تام',
-		access			: 'Script Access', // MISSING
-		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
+		access			: 'دخول النص البرمجي',
+		accessAlways	: 'دائماً',
+		accessSameDomain	: 'نفس النطاق',
+		accessNever	: 'مطلقاً',
 		align		: 'محاذاة',
 		alignLeft	: 'يسار',
@@ -430,16 +430,16 @@
 		alignTextTop	: 'أعلى النص',
 		alignTop	: 'أعلى',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
+		quality		: 'جودة',
+		qualityBest		 : 'أفضل',
+		qualityHigh		 : 'عالية',
+		qualityAutoHigh	 : 'عالية تلقائياً',
+		qualityMedium	 : 'متوسطة',
+		qualityAutoLow	 : 'منخفضة تلقائياً',
+		qualityLow		 : 'منخفضة',
+		windowModeWindow	 : 'نافذة',
+		windowModeOpaque	 : 'غير شفاف',
+		windowModeTransparent	 : 'شفاف',
+		windowMode	: 'وضع النافذة',
+		flashvars	: 'متغيرات الفلاش',
 		bgcolor	: 'لون الخلفية',
 		width	: 'العرض',
@@ -448,8 +448,8 @@
 		vSpace	: 'تباعد عمودي',
 		validateSrc : 'فضلاً أدخل عنوان الموقع الذي يشير إليه الرابط',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		validateWidth : 'العرض يجب أن يكون عدداً.',
+		validateHeight : 'الارتفاع يجب أن يكون عدداً.',
+		validateHSpace : 'HSpace يجب أن يكون عدداً.',
+		validateVSpace : 'VSpace يجب أن يكون عدداً.'
 	},
 
@@ -458,7 +458,7 @@
 	{
 		toolbar			: 'تدقيق إملائي',
-		title			: 'Spell Check', // MISSING
-		notAvailable	: 'Sorry, but service is unavailable now.', // MISSING
-		errorLoading	: 'Error loading application service host: %s.', // MISSING
+		title			: 'التدقيق الإملائي',
+		notAvailable	: 'عفواً، ولكن هذه الخدمة غير متاحة الان',
+		errorLoading	: 'خطأ في تحميل تطبيق خدمة الاستضافة: %s.',
 		notInDic		: 'ليست في القاموس',
 		changeTo		: 'التغيير إلى',
@@ -469,9 +469,9 @@
 		btnUndo			: 'تراجع',
 		noSuggestions	: '- لا توجد إقتراحات -',
-		progress		: 'جاري التدقيق إملائياً',
-		noMispell		: 'تم إكمال التدقيق الإملائي: لم يتم العثور على أي أخطاء إملائية',
-		noChanges		: 'تم إكمال التدقيق الإملائي: لم يتم تغيير أي كلمة',
-		oneChange		: 'تم إكمال التدقيق الإملائي: تم تغيير كلمة واحدة فقط',
-		manyChanges		: 'تم إكمال التدقيق الإملائي: تم تغيير %1 كلماتكلمة',
+		progress		: 'جاري التدقيق الاملائى',
+		noMispell		: 'تم التدقيق الإملائي: لم يتم العثور على أي أخطاء إملائية',
+		noChanges		: 'تم التدقيق الإملائي: لم يتم تغيير أي كلمة',
+		oneChange		: 'تم التدقيق الإملائي: تم تغيير كلمة واحدة فقط',
+		manyChanges		: 'تم إكمال التدقيق الإملائي: تم تغيير %1 من كلمات',
 		ieSpellDownload	: 'المدقق الإملائي (الإنجليزي) غير مثبّت. هل تود تحميله الآن؟'
 	},
@@ -480,14 +480,14 @@
 	{
 		toolbar	: 'ابتسامات',
-		title	: 'إدراج إبتسامات '
+		title	: 'إدراج ابتسامات'
 	},
 
 	elementsPath :
 	{
-		eleTitle : '%1 element' // MISSING
-	},
-
-	numberedlist : 'تعداد رقمي',
-	bulletedlist : 'تعداد نقطي',
+		eleTitle : 'عنصر 1%'
+	},
+
+	numberedlist : 'ادخال/حذف تعداد رقمي',
+	bulletedlist : 'ادخال/حذف تعداد نقطي',
 	indent : 'زيادة المسافة البادئة',
 	outdent : 'إنقاص المسافة البادئة',
@@ -508,6 +508,6 @@
 		cutError	: 'الإعدادات الأمنية للمتصفح الذي تستخدمه تمنع القص التلقائي. فضلاً إستخدم لوحة المفاتيح لفعل ذلك (Ctrl+X).',
 		copyError	: 'الإعدادات الأمنية للمتصفح الذي تستخدمه تمنع النسخ التلقائي. فضلاً إستخدم لوحة المفاتيح لفعل ذلك (Ctrl+C).',
-		pasteMsg	: 'الصق داخل الصندوق بإستخدام زرّي (<STRONG>Ctrl+V</STRONG>) في لوحة المفاتيح، ثم اضغط زر  <STRONG>موافق</STRONG>.',
-		securityMsg	: 'نظراً لإعدادات الأمان الخاصة بمتصفحك، لن يتمكن هذا المحرر من الوصول لمحتوى حافظتك، لذا وجب عليك لصق المحتوى مرة أخرى في هذه النافذة.'
+		pasteMsg	: 'الصق داخل الصندوق بإستخدام زرائر (<STRONG>Ctrl+V</STRONG>) في لوحة المفاتيح، ثم اضغط زر  <STRONG>موافق</STRONG>.',
+		securityMsg	: 'نظراً لإعدادات الأمان الخاصة بمتصفحك، لن يتمكن هذا المحرر من الوصول لمحتوى حافظتك، لذلك يجب عليك لصق المحتوى مرة أخرى في هذه النافذة.'
 	},
 
@@ -516,5 +516,5 @@
 		toolbar : 'لصق من وورد',
 		title : 'لصق من وورد',
-		advice : 'الصق داخل الصندوق بإستخدام زرّي (<STRONG>Ctrl+V</STRONG>) في لوحة المفاتيح، ثم اضغط زر  <STRONG>موافق</STRONG>.',
+		advice : 'الصق داخل الصندوق بإستخدام مفاتيح (<STRONG>Ctrl+V</STRONG>) في لوحة المفاتيح، ثم اضغط مفتاح <STRONG>موافق</STRONG>.',
 		ignoreFontFace : 'تجاهل تعريفات أسماء الخطوط',
 		removeStyle : 'إزالة تعريفات الأنماط'
@@ -532,5 +532,5 @@
 		title : 'قوالب المحتوى',
 		insertOption: 'استبدال المحتوى',
-		selectPromptMsg: 'اختر القالب الذي تود وضعه في المحرر <br>(سيتم فقدان المحتوى الحالي):',
+		selectPromptMsg: 'اختر القالب الذي تود وضعه في المحرر',
 		emptyListMsg : '(لم يتم تعريف أي قالب)'
 	},
@@ -540,10 +540,10 @@
 	stylesCombo :
 	{
-		label : 'نمط',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		label : 'أنماط',
+		voiceLabel : 'أنماط',
+		panelVoiceLabel : 'اختر نمط',
+		panelTitle1 : 'أنماط الفقرة',
+		panelTitle2 : 'أنماط مضمنة',
+		panelTitle3 : 'أنماط الكائن'
 	},
 
@@ -551,11 +551,11 @@
 	{
 		label : 'تنسيق',
-		voiceLabel : 'Format', // MISSING
-		panelTitle : 'تنسيق',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
+		voiceLabel : 'تنسيق',
+		panelTitle : 'تنسيق الفقرة',
+		panelVoiceLabel : 'اختر تنسيق الفقرة',
 
 		tag_p : 'عادي',
 		tag_pre : 'منسّق',
-		tag_address : 'دوس',
+		tag_address : 'عنوان',
 		tag_h1 : 'العنوان 1',
 		tag_h2 : 'العنوان  2',
@@ -564,5 +564,5 @@
 		tag_h5 : 'العنوان  5',
 		tag_h6 : 'العنوان  6',
-		tag_div : 'Normal (DIV)' // MISSING
+		tag_div : 'عادي (DIV)'
 	},
 
@@ -570,7 +570,7 @@
 	{
 		label : 'خط',
-		voiceLabel : 'Font', // MISSING
-		panelTitle : 'خط',
-		panelVoiceLabel : 'Select a font' // MISSING
+		voiceLabel : 'حجم الخط',
+		panelTitle : 'حجم الخط',
+		panelVoiceLabel : 'اختر حجم الخط'
 	},
 
@@ -578,7 +578,7 @@
 	{
 		label : 'حجم الخط',
-		voiceLabel : 'Font Size', // MISSING
+		voiceLabel : 'حجم الخط',
 		panelTitle : 'حجم الخط',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		panelVoiceLabel : 'اختر حجم الخط'
 	},
 
@@ -593,93 +593,93 @@
 	colors :
 	{
-		'000' : 'Black',
-		'800000' : 'Maroon',
-		'8B4513' : 'Saddle Brown',
-		'2F4F4F' : 'Dark Slate Gray',
-		'008080' : 'Teal',
-		'000080' : 'Navy',
-		'4B0082' : 'Indigo',
-		'696969' : 'Dim Gray',
-		'B22222' : 'Fire Brick',
-		'A52A2A' : 'Brown',
-		'DAA520' : 'Golden Rod',
-		'006400' : 'Dark Green',
-		'40E0D0' : 'Turquoise',
-		'0000CD' : 'Medium Blue',
-		'800080' : 'Purple',
-		'808080' : 'Gray',
-		'F00' : 'Red',
-		'FF8C00' : 'Dark Orange',
-		'FFD700' : 'Gold',
-		'008000' : 'Green',
-		'0FF' : 'Cyan',
-		'00F' : 'Blue',
-		'EE82EE' : 'Violet',
-		'A9A9A9' : 'Dark Gray',
-		'FFA07A' : 'Light Salmon',
-		'FFA500' : 'Orange',
-		'FFFF00' : 'Yellow',
-		'00FF00' : 'Lime',
-		'AFEEEE' : 'Pale Turquoise',
-		'ADD8E6' : 'Light Blue',
-		'DDA0DD' : 'Plum',
-		'D3D3D3' : 'Light Grey',
-		'FFF0F5' : 'Lavender Blush',
-		'FAEBD7' : 'Antique White',
-		'FFFFE0' : 'Light Yellow',
-		'F0FFF0' : 'Honeydew',
-		'F0FFFF' : 'Azure',
-		'F0F8FF' : 'Alice Blue',
-		'E6E6FA' : 'Lavender',
-		'FFF' : 'White'
+		'000' : 'أسود',
+		'800000' : 'كستنائي',
+		'8B4513' : 'بني فاتح',
+		'2F4F4F' : 'رمادي أردوازي غامق',
+		'008080' : 'أزرق مخضر',
+		'000080' : 'أزرق داكن',
+		'4B0082' : 'كحلي',
+		'696969' : 'رمادي داكن',
+		'B22222' : 'طوبي',
+		'A52A2A' : 'بني',
+		'DAA520' : 'ذهبي داكن',
+		'006400' : 'أخضر داكن',
+		'40E0D0' : 'فيروزي',
+		'0000CD' : 'أزرق متوسط',
+		'800080' : 'بنفسجي غامق',
+		'808080' : 'رمادي',
+		'F00' : 'أحمر',
+		'FF8C00' : 'برتقالي داكن',
+		'FFD700' : 'ذهبي',
+		'008000' : 'أخضر',
+		'0FF' : 'تركواز',
+		'00F' : 'أزرق',
+		'EE82EE' : 'بنفسجي',
+		'A9A9A9' : 'رمادي شاحب',
+		'FFA07A' : 'برتقالي وردي',
+		'FFA500' : 'برتقالي',
+		'FFFF00' : 'أصفر',
+		'00FF00' : 'ليموني',
+		'AFEEEE' : 'فيروزي شاحب',
+		'ADD8E6' : 'أزرق فاتح',
+		'DDA0DD' : 'بنفسجي فاتح',
+		'D3D3D3' : 'رمادي فاتح',
+		'FFF0F5' : 'وردي فاتح',
+		'FAEBD7' : 'أبيض عتيق',
+		'FFFFE0' : 'أصفر فاتح',
+		'F0FFF0' : 'أبيض مائل للأخضر',
+		'F0FFFF' : 'سماوي',
+		'F0F8FF' : 'لبني',
+		'E6E6FA' : 'أرجواني',
+		'FFF' : 'أبيض'
 	},
 
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title : 'تدقيق إملائي أثناء الكتابة',
+		enable : 'تفعيل SCAYT',
+		disable : 'تعطيل SCAYT',
+		about : 'عن SCAYT',
+		toggle : 'تثبيت SCAYT',
+		options : 'خيارات',
+		langs : 'لغات',
+		moreSuggestions : 'المزيد من المقترحات',
+		ignore : 'تجاهل',
+		ignoreAll : 'تجاهل الكل',
+		addWord : 'إضافة كلمة',
+		emptyDic : 'اسم القاموس يجب ألا يكون فارغاً.',
+		optionsTab : 'خيارات',
+		languagesTab : 'لغات',
+		dictionariesTab : 'قواميس',
+		aboutTab : 'عن'
 	},
 
 	about :
 	{
-		title : 'حول CKEditor',
-		dlgTitle : 'حول rotidEKC',
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
-	},
-
-	maximize : 'Maximize', // MISSING
-	minimize : 'Minimize', // MISSING
+		title : 'عن CKEditor',
+		dlgTitle : 'عن rotidEKC',
+		moreInfo : 'للحصول على معلومات الترخيص ، يرجى زيارة موقعنا على شبكة الانترنت:',
+		copy : 'حقوق النشر &copy; $1. جميع الحقوق محفوظة.'
+	},
+
+	maximize : 'تكبير',
+	minimize : 'تصغير',
 
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
-	},
-
-	resize : 'Drag to resize', // MISSING
+		anchor : 'إرساء',
+		flash : 'رسم متحرك بالفلاش',
+		div : 'فاصل صفحة',
+		unknown : 'كائن غير معروف'
+	},
+
+	resize : 'اسحب لتغيير الحجم',
 
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
+		title : 'اختر لون',
+		highlight : 'إلقاء الضوء',
+		selected : 'مُختار',
+		clear : 'مسح'
 	}
 };
